# Uses of Class
com.logicaldoc.core.document.DocumentNote

Packages that use DocumentNote
Package
Description
com.logicaldoc.core.automation
Automation subsystem that allows you to program your own logic inside the platform.
The automation engine can be accessed through the class `Automation`
Please note the special annotation `AutomationDictionary` that is used to automatically put in the Dictionary whatever bean you need.
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects

## Uses of DocumentNote in com.logicaldoc.core.automation

Methods in com.logicaldoc.core.automation that return types with arguments of type DocumentNote
Modifier and Type
Method
Description
`List<DocumentNote>`
DocTool.`getNotes(long docId, long userId, String fileVersion)`
Lists the notes of a given document and visible to a given user
`List<DocumentNote>`
DocTool.`getNotes(long docId, String fileVersion)`
Lists the notes of a given document

## Uses of DocumentNote in com.logicaldoc.core.document

Methods in com.logicaldoc.core.document that return types with arguments of type DocumentNote
Modifier and Type
Method
Description
`List<DocumentNote>`
DocumentNoteDAO.`findByDocId(long docId, long userId, String fileVersion)`
This method finds the list of document notes regarding a document with the given ID
`List<DocumentNote>`
HibernateDocumentNoteDAO.`findByDocId(long docId, long userId, String fileVersion)`
`List<DocumentNote>`
DocumentNoteDAO.`findByDocIdAndType(long docId, long userId, String fileVersion, String type)`
This method finds the list of document notes regarding a document with the given ID and optionally filter on the type
`List<DocumentNote>`
HibernateDocumentNoteDAO.`findByDocIdAndType(long docId, long userId, String fileVersion, String type)`
`List<DocumentNote>`
DocumentNoteDAO.`findByDocIdAndTypes(long docId, long userId, String fileVersion, Collection<String> types)`
This method finds the list of document notes regarding a document with the given ID and optionally filter on a collection of types
`List<DocumentNote>`
HibernateDocumentNoteDAO.`findByDocIdAndTypes(long docId, long userId, String fileVersion, Collection<String> types)`
`List<DocumentNote>`
DocumentNoteDAO.`findByUserId(long userId)`
This method finds the list of document notes regarding posted by a specific user
`List<DocumentNote>`
HibernateDocumentNoteDAO.`findByUserId(long userId)`
Methods in com.logicaldoc.core.document with parameters of type DocumentNote
Modifier and Type
Method
Description
`void`
HibernateDocumentNoteDAO.`initialize(DocumentNote note)`
`void`
DocumentNoteDAO.`store(DocumentNote note, DocumentHistory transaction)`
Stores a note and saves the document's history
`void`
HibernateDocumentNoteDAO.`store(DocumentNote note)`
`void`
HibernateDocumentNoteDAO.`store(DocumentNote note, DocumentHistory transaction)`
Constructors in com.logicaldoc.core.document with parameters of type DocumentNote
Modifier
Constructor
Description
``
`DocumentNote(DocumentNote source)`